import { HTMLStencilElement } from "../stencil-public-runtime";
import { TDocumentDefinitions } from "pdfmake/interfaces";
export declare function getMap(id?: string): HTMLGlMapElement;
export declare function getThumbnail(item: {
  image: string;
}): any;
export declare function toArray(value: string | string[], sep?: string): string[];
export declare const getAbsoluteUrl: (url: string) => string;
export declare function fetchPdf(url: string, filename: string, docDef: TDocumentDefinitions): Promise<void>;
export declare function findOrCreateOnReady<E extends HTMLStencilElement = HTMLStencilElement>(tagName: string): Promise<E>;
